WORLD CONQUEST
by Wisisoft
Beta Release v0.9a
02.05.1995


The development:
****************

28.01.1992  - Started trying to program a game like Peter Merill's STATEGIC
              CONQUEST for Apple MacIntosh computers on my good old 1040ST.

March 1992  - First playable but in fact extremely buggy version (0.1)
              completed.

April 1992  - Put version 0.1 on a local BBS.
              - running in ST low only
              - playable only on one computer without computer enemies

June 1992   - Put version 0.26 on some BBSes.
              - first version with computer enemies (though they behaved very
                stupidly)
              - first really playable version

17.07.1992  - Stopped to program as I went to Berlin on hollydays and
              afterwards had to spend my days learning as I had to pass
              examinations at the FSIT.

October 92  - Bought a second hand TT.

28.10.1992  - Passed the examinations and continued writing COST which I had
              begun coding between tests. I postponed to continue on WORLD
              CONQUEST.

November 92 - Started to program on 0.3 versions which should include a direct
              datalink mode using the RS 232 interface and a possibility to
              use alternate scenarios.

December 92 - Started to write the WORLD EDITOR.
            - Put version 0.3a on the AFN.
              - first version running in TT med as well as ST low
              - first version including a working direct datalink mode
              - first version including the >load scenario< feature
            - Started to work on the 0.4 versions which should include the
              possibility to play by modem with remote adversaries.

January 93  - First registered user of the WORLD EDITOR (Hi Tommy!)
            - Sent version 0.4e to Sweden.
              - first version including the possibility to play by modem
            - Started to work on the 0.5 versions which should be able to
              read WORLD EDITOR v0.2 scenarios and have some sound effects.
            - Sent version 0.5 to Sweden.
              - first version including a >Save Settings< feature
            - Put version 0.5a on a local BBS
              - only minor changes to version 0.5

February 93 - Started to work on the 0.6 versions with two main goals:
              - better computer enemies
              - ensuring compatibility to FALCON F030 and if possible MultiTOS

April 93    - Tried to get Version 0.6d on the AFN. Unfortunately I failed.
            - Got MultiTOS v1.00 and tried to get WORLD CONQUEST to work with
              it.

May 93      - Started to work on version 0.7. The goal was to get the game
              to work with graphic cards.

July 93     - Put the version 0.7b on the AFN, which I considered to be the
              final version.
            - Discovered a very strange bug that partly destroys the
              overview map on computers with older TOS versions
              (1.00 - 1.02 at least) - couldn't figure out what was wrong.
              So now I knew... v0.7b wasn't to be the final version...

August 93   - Stopped programming activity to concentrate on learning in order
              to pass SFIT-tests in fall.
            - Tested v0.7b on a Falcon F030 - it worked in all 16 and 256
              colour modes - though it didn't run with 16-bit graphics.
              However, I postponed to take care of that, as I just lacked spare
              time.
            - Tested the phone-play mode with a USR DS to Zyxel 14400 bps
              V32bis/V42bis connect - it worked, spent 2 1/2 hours on-line to
              see my troops being crushed by my friend of the other end of the
              town.
            - Coded D-CODE.

October  93 - Lost my FIDONET Point  ....... arrrggghhhhh... If you have
              unsuccessfully tried to contact me by Netmail.... sorry... :-(
            - Passed the tests and went on hollydays, celebrating wildly.
            - Nearly froze to death.... :-)
            - Nearly rammed a stag with my motorcycle...       (%-)

November 93 - Fixed some minor bugs and changed some input routines to make the
              playing more comfortable especially on slower STs.
            - Version 0.7c released through local mailbox.
            - All of a sudden several WORLD EDITOR orders were coming in.
            - Reports coming in stating WORLD CONQUEST has been put on cover
              disk of ATARI USER'S MAGAZINE

December 93 - Started work on version 0.8.
            - Discovered two nasty bugs that make datalink games crash:
              In the versions 0.7 to 0.7e you can't use the >Scrap Unit<
              feature when playing a datalink game. Also moving units using
              the keyboard is not possible. I'm very sorry for that...
            - Planned to post a bugfixed update (v0.7f) in the AFN and NeST.
            - Sent v0.7g to Roland Tobler's BBS Paradize in Lucerne to post
              it in the AFN.
                                Merci Roli.... :-)
            - Optimized a v0.8 routine from 10^44 years down to 8 seconds...
              Unfortunately that was still too slow.... ;-)
            - Players reported that articles about WORLD CONQUEST had been
              published in the magazines ST FORMAT and HIDDEN MOVEMENT.

January 94  - Read Brian Douglas' article published in the HIDDEN MOVEMENT
              magazine.
            - Hurried to finish Version 0.8 as the threatening shadow of some
              final examinations in spring began to loom over me.

February 94 - Decided that version 0.8 should be quite fit to be distributed.
            - Updated the english and german game manuals.
            - Thought about terminating work on WORLD CONQUEST in order to
              start on a new project, which should be a kind of tactical
              multiplayer - multicomputer - simultaneous movement simulation
              of either some game similar to gaelic football or of
              a children's game known in Switzerland as the
              "ribbon-war" or a combination of both placed either in some
              fantasy environment or in real world... Well, we'll see...

March 94    - While testing some graphic concepts for the new game project I
              found a way to speed my GFA BASIC programs up by a considerable
              degree. In consequence I was able to more than double the speed
              of the graphic output in WORLD CONQUEST. Version 0.8a did
              first include this feature.

August 94   - Reports of a major datalink-bug still existing in version 0.8a
              drove me back to action. I couldn't reproduce this malfunction
              though - so it lived on for the time being.
            - A guy from Germany requested to include WORLD CONQUEST in his
              Shareware CD-ROM. Sent v0.8b to him.

September 94- I was finally able to have a look at the strange missbehavings
              of my GEM-panels when running WORLD CONQUEST with Mag!X.
              In consequence I was able to mend it.
              In addition I found out that the WORLD EDITOR doesn't work at
              all with Mag!X - so there was a major update due in the next
              time.

October 94  - I realized that non global scenarios (maps having western
              and eastern borders) cannot be played against the computer when
              using versions from 0.8 up to 0.8d. As the computer seeks to
              cross the border although he can't do that almost every game
              will end with a computer opponent locking itself up. So until
              I would be able to release version 0.8e people must use version
              0.7h to play the EUROPA.SCN and the ATLANTIS.SCN scenarios.

November 94 - Some people from InterNet urged me to upload version 0.8f onto
              the atari.archive.umich.edu FTP server, which after a hard
              struggle to get access to it, I did.
            - Rolland Herbert from France sent me a French translation of the
              game manual. The v0.8g package will first include it.
              Many thanks to him.    :-)

December 94 - In the scarce time that was left me besides writing a
              scientific paper about the structural stability of
              of soils, I continued working on version 0.8g. Unfortunately
              my plans of doing a great deal of work on it during the
              Christmas hollydays didn't work out, as I was invited to
              spend them with friends in a cabin in the mountains.

February 95 - A bug report from Alan Emery made me discover that I
              hadn't solved the computer lockup-problem of the non-
              global scenarios completeley in the 0.8e update - so
              those kind of scenarios can still not be used with game
              versions from 0.8 to 0.8h. Perhaps I should have given
              the 0.8 versions a gamma status.

March 95    - Used a one-week hollyday partly to do again some work
              on the game. As it looked much different after it, I
              decided to call the new version 0.9 although there
              aren't really any radical changes compared to v0.8i
              besides perhaps the correction of one very BAD and
              very old bug - since v0.6 it had been possible for the
              computer opponents to have more than the maximum of
              300 units!!!!

April 95    - The german ATARI-magazine "ST-Computer" informed me
              that they would include WORLD CONQUEST in their PD-
              collection on Disk No: 793.
            - Used some spare-time over Easter-weekend to update
              the English and German manuals.


Changes since v0.5a
*******************

0.5b - New savegame format incompatible to earlier versions.
     - Bug fixed: entering foreign installation after battle
                  without conquering it.

0.6  - Computer enemies not available (only temporary due to major
       changes in that part of the program).
     - All LineA commands removed (slowed the Program down a bit).
     - Program now works in all graphic modes that use 4 up to 15 Bitplanes
       as it doesn't matter what resolution is being used.
     - WORLD CONQUEST now has become a proper GEM Application, which should
       also run with MULTI TOS (I hope).
     - An additional data file CONQUEST.INT has been created.

0.6a - New savegame format (again incompatible to earlier versions) due to
       use of standard VDI graphic format.
     - New scenario format due to same reason (use WORLD EDITOR v0.8 to
       convert old scenarios.)
     - v0.8 EDITOR scenarios can optionally include non crossable map borders.
     - Use of standard VDI graphic format. WORLD CONQUEST should therefore run
       in every graphic mode on every graphic board using more than 3 bitplanes
       (at least 16 colours). Though I haven't had the possibility to
       test it yet.
     - Due to above changes new data files have been created:
         CONQUEST.GRF
         TITEL.GRF
         WISISOFT.GRF
     - The following data files are not required any more:
         CONQUEST.ART
         ICONS.ART
         WISISOFT.ART
     - Damaged units can be repaired by putting them asleep in cities.
     - Radically changed behaving of computer enemies with an adjustable skill
       level.
       (Still very much beta - please send reports and suggestions about that!)
     - Airborne infantry units won't be harmed any more by firing artillery
       while being carried by bombers.

0.6b - Computer ennemies will surrender when finding themselves in a hopeless
       situation.
     - Bugs fixed: - some problems with computer ennemies
                   - some other graphic problems

0.6c - Further computer enemy bugs fixed: (eg)
                   - anti aircraft unability to shoot
                   - No random damage of shots by computer
                   - deployement of computer enemy units in neutral cities
     - Other bugs fixed:
                   - airborne infantry units harmed by released bombs
     - Faster unit movement: because of the use of slower VDI routines to plot
       the game tiles, optimizing these routines has become inevitable.

0.6d - Surrender condition for enemy computers changed as it made the computer
       enemies give up too early when playing in low skill
       levels.
     - Some minor bugs fixed.
     - New game tile plotting routine fixed, as it didn't display the computer
       enemies' units at their turn.

0.6e - fixed the scroll routine, that didn't show the units at the game
       window's borders any more since v0.6c

0.7  - Created an own DESKTOP Background, as due to the changing of the first
       15 VDI colors the GEM DESKTOP of AES 4.x looks rather ugly when running
       the game with MultiTOS.
     - Adapted the game for use with MultiTOS. Though you better play it with
       a single-task TOS, as with MultiTOS it runs awfully slowly. Please note
       that you have to turn off the sound in the >Settings< menu if you are
       using MultiTOS. In addition, if you want to play a datalink game, you have
       to turn the ALERT.ACC inactive. It is possible, that there are some further
       problems, so I can't guarantee WORLD CONQUEST to run with MultiTOS at 100%.
     - Removed the Intro. However you can still watch it and listen to the
       great music if you start the INTRO.PRG. ;-)
     - Removed some further inproper GFA BASIC commands from the source. In
       consequence it is now very likely to work on a FALCON F030. Though I
       still haven't had the possibility to test it yet.
     - As a new feature the units colors can now be changed. Use >Unit Colors<
       in the >Settings< menu.
     - The path of the scenario file belonging to a saved game can now be
       changed if it can't be found when the saved game is used on an
       other computer.
     - fixed the wild "jumping around" of the info-windows when the left
       mousebutton was pressed.
     - Fixed all GEM dialogs and panels for use with LET'EM FLY.

0.7a - Bugs fixed:
       - Infantry units carried by bombers won't be destroyed in combat now
         until the bomber itself is destroyed.
       - Units carried by bombers or transports that are inside cities or other
         installations are now also killed if the city or installation is being
         destroyed - so they don't remain there as invisible units any more.
     - New feature:
       - >Scrap Unit< in the >Move< menu or pressing the key [J] (for Junk
         Unit) will scrap a unit you don't need any more and puts half
         of the raw material needed to produce this kind of unit back in
         the stocks. This feature has become neccessary as the unit limit
         of 300 (including weapons, cities, installation, ressource sites)
         can easily become a problem when playing against computers in a
         high level.
     - Inproper mouse location inquiring fixed.
     - Changed styling of selected item in the >game mode< menu.
     - Removed all XBIOS commands concerning screen memory handling.
     - Fixed all vro_cpyfrm calls for use with graphic boards.
     - WORLD CONQUEST now checks the command line when being started, if a
       saved game should be loaded like every other GEM application does.

0.7b - Some minor bugfixes
     - Fixed some problems with the menu that occured when running the game
       with TOS 1.02.

0.7c - Keyboard shortcuts for the >File< menu added.
     - Included possibility to move the units by pressing [SHIFT] together
       with number pad keys or arrow keys.
     - Some further bugs fixed
     * Not fixed yet: - the map bug
     - The intro isn't part of the package any more.

0.7d - Added a debugging routine that should interfere with the map bug and
       repairs the map again after the bug occured. This feature is only of
       importance if WORLD CONQUEST is run on a ST with an older TOS (1.00
       to 1.06).

0.7e - Fixed the "Shoot and Run"-Bug that I "created" in the 0.7c update.

0.7f - Fixed the bugs that made datalink games crash in the earlier 0.7
       versions:
       - Inproper >Scrap Unit< function
       - Inproper Moving-using-keyboard feature
     - Improved the map debugging routine in order to work also in datalink
       mode.

0.7g - Fixed some graphic problems

0.7h - Eliminated the major bugs still remaining in 0.7g that I fixed during
       my work on the version 0.8 (see below). I published this version
       because I finally found the reason for the remaining keyboard-movement
       problem at a time when version 0.8 was not yet fit to be distributed.
     - Bugs eliminated:
       - keyboard-movement-datalink problem
       - Placing of ressource sites and installations outside the map
       - misscalculated computer-invasions

0.8  - Coded a new intro that is GEM-compatible and therefore should also
       run on the FALCON 030.
     - Included continous scrolling over western and eastern game map border.
       This unfortunately caused a little loss of speed.
     - Fixed some problems concerning the window handling.
     - Changed the >Weapon Range< and the >Movement Range< features in order
       to show exactly the squares that are concerned, not just a general
       range. Note that sea squares are also shown as being reachable to ships
       if the way to them leads over a city or harbour. The game however
       doesn't check wether this city or harbour does really belong to the
       player using the >Movement Range< feature.
     - Fixed an error concerning the computer controlled enemies that mislead
       their invasions. This could considerably increase the general
       difficulty of the game.
     - Made the computer controlled artillery, battleship and anti aircraft
       units a bit more clever in order that they check distances more exactly
       and do not get trapped.
       In addition they now also seek to destroy first the more dangerous
       units of yours.
     - The contents of the data file CONQUEST.INT have been changed. So be sure
       to use the new CONQUEST.INT as else the game will crash.
     - Removed a bug that placed cities outside the map (y coordinates > 107,
       x coordinates > 149) and in consequence led to a crash.
       Watch out for city zones with illegal border coordinates in scenarios
       created with a WORLD EDITOR version less than 1.2. You though don't need
       to alter these scenarios, as the game now checks if the coordinates are
       not correct.
     - Added the >City List< feature to the >Info< menu. It will list all
       cities, their location, what they are producing and how many turns it
       still takes them to finish it. By clicking on a city's entry you can
       change it's production.
     - Added the >Sleeping Units< feature to the >Info< menu. It lists all
       sleeping units their location and how many turns it would take them to
       fully recover from their damages when being put asleep in a city.
       Clicking on a unit's entry will wake it up and move the game window to
       it's location.
     - Changed the movement order principle. You can now scroll the game
       window to all places on the map using the scrolling bars. In
       consequence the current unit does not necessarily need to remain
       within sight. You now can make every unit become the current unit
       by just doubleclicking it (using the left mousebutton).
     - Fixed all bugs that allowed a unit to leave the game map and
       provoque a crash.
     - Added possibility to abort a game during the computer controlled
       players' turns.
     - Fixed wrong usage of GRAF_SLIDEBOX in some GEM panels.
     - Fixed a minor bug concerning the >Detect Unit< feature.
     - As the game (or your computer) is just too slow to use large windows,
       the game window size is now limited to a maximum size of 41*45 squares.
       (Which is the maximum size when playing the game in a resolution
       of 640*480 pixels)
     - New feature: [5] on the decimal keypad will center the current unit
       within the game window.
     - Finally fixed the keyboard-movement-datalink bug that created a
       deadlock when EVNT_MULTI detected another event besides the
       keystroke. (It took me weeks and a lot of nerves to find out the
       reason for that malfunction!!!!)
       As a consequence the "move-and-scroll" feature isn't available any more.
     - Changed placement of ressource sites and installations. Nothing will
       be placed now adjanct to something of the same kind.
     - Found out what is being written into the map buffer when the
       "mysterious map bug" is occuring and what procedure is responsible for
       it. However, I don't have the slightest idea, why this can happen.
       Must be a GFA-BASIC malfunction. Changed the procedure affected. Don't
       know however if the bug is now eliminated.
     - The infobar of the game window won't state any more the remote player's
       conquerings.
     - Removed a bug, that dropped land units in the sea, when they
       unsuccessfully attacked a unit from a transport. They now will again
       be within the transport unit after an unsuccessful attack, as they
       should.
     - Fixed the a bug that decreased a player's unit counter once to many when
       one of the units was destroyed during an attack and which resulted in
       some units losing a turn.

0.8a - Doubled the speed of graphic output.

0.8b - Fixed the intro to run with MultiTOS when Memory Protection is active.
     - Fixed the window handling in order that clicking on the scrolling
       buttons doesn't corrupt the desktop when the game window is set in
       the background (running WORLD CONQUEST with MultiTOS).

0.8c - Fixed an array overflow bug that occured when scrolling over the edge
       of the map from the left to the right.
     - Added a new Feature to the >Settings< menu. >Map Buffer< installs a
       large buffer containing the whole gameboard. Activating >Map Buffer<
       increases the speed of scrolling and jumping around on the map by a
       considerable degree. This feature needs about 1 MB of free RAM in 16
       color mode (2 MB in 256 color mode).
     - Replaced some unnecessary floating point operations by integer
       calculations with the result of gaining 11% more speed on the
       computer opponents.
     - Fixed a harmless bug that occured when using >Abort<.
     - Fixed a bug that made unsuccesfully attacking units invisible.
     - Fixed a bug of the datalink mode that showed enemy units at a wrong
       location after they had conquered a friendly installation.
     - Improved the handling of the Unit Color dialogue. The slideboxes now
       move more smoothly (at least on the TT with NVDI installed).
     - Added the >Unload< feature:
       Units carrying other units can 'unload' them by using
       >Unload Ship<   (Transport)
       >Launch Plane<  (Carrier)
       >Drop Troops<   (Bomber - when carrying Infantry)
       in the >Move< menu. The equivalent keystroke is: [U] for [U]nload. The
       menu entry is the same as for >Use Weapon<, which has been replaced by
       the more specific
       >Fire Guns<     (Artillery/Battleship)
       >Launch SAM<    (Anti Aircraft)
       >Release Bomb<  (Bomber - when carrying bombs)
       The >Unload< feature will simply search the 'carrying unit' for others
       manual or asleep and activate the first unit found within.
     - Right [Shift] can now also be used to move the units.

0.8d - Wrong indication of how many turns a unit needs to get to a specific
       location (introduced with v0.8a) has been fixed.
     - Fixed some ugly color-switching that occured when using the City-list
       on GEM version 4.xx. (reported by Richard Guziewicz)
     - Fixed the problem with the non-visible GEM-panels when running the
       game with Mag!X.

0.8e - Included a special set of graphics for 256 color mode. Please note
       that the file CONQUEST.GRF has become obsolet and has been replaced
       by the files CONQU_04.GRF (4bit graphics) and CONQU_08.GRF (8bit
       graphics).
     - Fixed the computer opponent deadlock bug that occured when using
       non-global scenarios. (Existing since v0.8)
     - Fixed a bug that put land units on instead of in an installation
       when starting from an empty square and trying to move across it
       into the sea. (Existing since v0.8c)
     - Fixed some problems with the map buffer that didn't show the map's
       left and right borders when playing a non-global scenario.
       (Existing since v0.8c)
     - Fixed a problem that let the player scroll across the map borders
       when using a non-global scenario. (Existing since v0.8)

0.8f - Fixed the bug that hindered a human player from defeating a computer
       controlled opponent before turn 40. (Before... computer opponents
       didn't care having 0 units at the start of their turn and just
       produced some new ones and only gave up when having less than 25 units
       after turn 40). Sorry about that one ... I just haven't ever gained
       a game so fast - and I don't play it that often any more too. :-)
       (Reported by Yvan Eveillard)

0.8g - Fixed some pixelmess occuring when moving the mouse pointer over the
       info bar of the game window during showing of weapon and movement
       range. (Reported by Rainer Riedl)
     - Fixed the wrong indication of how much RAM is needed to play the
       game.
     - Fixed the 'not-imediate-adapting' of the tileframe-colors when
       changing the players' colors in 256 color mode.
     - Added the >Font Size< feature to the >Settings< menu. Using
       >Font Size< you can now switch between six different font sizes
       of the standard system font to use in all text-displays, according
       to the current resolution mode. People having graphic cards
       with extensive resolution and using small monitors (much too small
       in my opinion) suggested this feature.
     - Text will now be put on the screen using directly the VDI-calls
       instead of the GFA-BASIC commands. Font-Size 18 won't work with
       NVDI 3.01 due to a bug of that specific version of NVDI.
     - Removed the window-size limitation due to overhelming demand by
       people that obviously prefer less speed to better overview.
       (I've always deemed this to be a rather strange thought having
       written the game originally for ST low resolution.) :-)
     - Removed Alert-boxes showing up when land units attempted to move
       into water or naval units tried to move across land.
     - Removed Alert-box showing up, before a bomber drops a bomb.
     - In the >Auto Save< dialogue you will now find a button called
       >Use Fileselector<. If you activate this feature you will be
       shown the fileselector every time the game is saved automatically.
       It seems that some people had their files overwritten unwillingly
       and therefore urged me to include a possibility that would
       prevent them from doing that.
     - The program now uses the GEMDOS functions Maddalt and Mxalloc
       if Gemdos Version 0.19 or higher is detected (from TT onward).
       If available 'alternative' RAM will be used instead of ST RAM.
       (I couldn't test this though, as I don't have any 'alternative'
       RAM in my TT - so if you have 'alternative' RAM in your TT or
       on your graphic card on the VME-bus - please let me know, if it
       works.)
     - The feature >Unit Info< has been changed in order that you'll
       be shown the information of the current unit immediately instead
       of being asked to pick a unit on the map first. You can of course
       still inquire information about any unit on the map using the
       right mousebutton at any time.
     - The program won't center the game window above the current unit
       any more immediately after using the menus >Info< and >Settings<.
       Strangely this doesn't work yet when using a Multitasking system.
     - The page up/down/left/right feature of the window can now be
       used as in a normal GEM-application.
     - Changed the battle characteristics of a fighter attack on a
       bomber in order to make bombers more vulnerable.

0.8h - Finally found at least one reason for the strange behaving of
       the computer opponents appearing in the later few versions
       that has probably been caused by my updating work on v0.8c, when
       I replaced some floating point operations by integer calculations.
       At an obviously very crucial point I used a MIN instead of a MAX
       function, which paralized them partly... now that's what I call a
       hell of a dumb bug! - that's fixed now.
     - Found and fixed another bug in the calculations of the course
       of computer invasions.
     - The computer opponents' bombers will now drop their bombs also
       on targets that are nw/ne/se/sw of bomber. Up to now they didn't
       treat those units as possible targets.

0.8i - Fixed another bug that still made computer opponents lock
       themselves up in non-global scenarios. (reported by Alan Emery).
       Added a tiny converter for affected saved game positions. So
       using v0.8i you can continue to play the games that got
       stuck. The same bug also made the computer opponents able
       to cross the map border.
     - Changed some details on the window-slider calculation
     - Fixed a bug that made the game crash when using a previously
       saved game position created in a higher resolution
       mode.
     - Changed the map generator algorythm in order to eliminate the
       V_GET_PIXEL command. So now the game runs in 256 color mode
       with NVDI 3.01 inspite of the bug of this NVDI version.

0.9  - Changed used color palette definition in order to let FALCON
       owners fully enjoy their 3D-GEM. In consequence the CONQU_04.GRF and
       the CONQU_08.GRF file have been changed. Make sure you use the new
       ones.
     - Fixed the not working command line analyzation procedure.
     - As I was at it I included the possibility to play WORLD CONQUEST
       in the monochrome mode (ST and TT high resolution). Note that
       these two files are needed to run the game in monochrome mode:
         - CONQU_01.RSC
         - CONQU_01.GRF
       The game is now also playable in ST-medium mode. But as for now no
       special set of graphics is available. Instead the monochrome
       graphic set is being used.
     - The file CONQU_04.RSC is now used instead of CONQUEST.RSC when
       4 or more bitplanes are detected.
     - The file CONQUEST.RSC therefore has become obsolete.
     - In earlier versions when all units of a player had been
       destroyed and there was either no raw material or no
       city to produce new units left the program would lock itself up
       in an endless loop - that's fixed now.
     - The fuel-reserve indication of planes has been corrected
     - Added the >Smart Moves< feature. Switching it on causes the
       units to find themselves a way along and around complicated
       coastlines. As this requires quite a lot of calculating
       it is probably not sensible to use it on computers slower
       than the 33 MHz TT.
       In the dialogue that will be displayed when clicking on
       >Smart Moves< in the >Settings< menu you can define
       the level of complication of the ways to be found - the
       so called detour level. Available values are from 0 to
       10, which means that the computer will find ways around
       the coast only if their length is less or equal to the
       distance in a straight line plus an amount of squares
       equal to the detour level.
       The higher you adjust the detour level the longer it
       will take the computer to find the way and the more
       complicated ways he can find. Please note that this
       feature only works for distances that are less than
       22 minus the value of the detour level.
       The default value of the detour level is 6. (Which is
       just the value that an unit needs to find the way from
       one square east of the sourthern end of the the golf
       of California to the southern end of its peninsula in
       the default scenario.)
     - Added the >Clear Orders< option to the >Move< menu.
       >Clear Orders< will undo all movement commands.
     - Added the >Current Unit< option to the >Info< menu.
       As it can be a problem finding the current unit in the
       monochrome mode this feature will make it blink until
       the player presses the mousebutton.
     - Fixed the skill level dialogue that before could make
       the game crash.
     - Units moving to a square appointed to them with the
       rubber-band-method that ran into an enemy unit would
       loose a move in earlier versions. In v0.9 this won't
       happen any more.
     - Fixed a bug that could cause an array overflow by making
       computer opponents have more than 300 units and in
       consequence made the game crash (Reported by Tommy Andersen).
       I was very surprised that I haven't noticed this before and
       that no one has ever reported it. This thing existed at least
       since version 0.6. It could have been the reason for a wide
       variety of strange missbehavings of the program.
     - Included a possibility to abort the intro at the game-startup.
       As I have been told there is a bug in the vr_cpyfm routine of
       some older TOS versions that causes it to write to adresses
       above $400000 on a 4 Mb ST. In WORLD CONQUEST this seems to occur
       regularely at the start of the intro.
       You can avoid it to happen when pressing the mousebutton at
       the game startup (press it when the game is being loaded and
       keep holding it down until the WORLD CONQUEST desktop background
       is displayed.) Another possibility is to use the "MEMSET" program
       and let your computer think it only had 3.5 Mb.

0.9a - Fixed some misstakes within the code that could possible have been
       the cause of the "City-Production-Window-Crash-bug".
     - Changed parts of the intro code to avoid the "Crash-at-Startup-bug"
       on 4Mb-STs with old TOS versions. (On suggestion by Tommy Andersen)
     - Added some FRE(0)-calls to avoid memory-problems
       (Suggested by Tommy Andersen)
     - Fixed a bug that made transports able to load troops from any
       installation on the coast when bumping into them.
     - Removed the upshowing alert boxes and replaced them by messages
       displayed in the infobar of the window.
     - Fixed a bug in the >Smart Movement< option that made the units move
       outside the gameboard.
     - Fixed another bug in the >Smart Movement< option that corrupted the
       gameboard-hiding in multiplayer-single-computer-mode.



Please keep reporting bugs to:

Alois Felber
Feerstrasse 17
5000 Aarau
Switzerland

Internet: hubba@ezinfo.vmsmail.ethz.ch
Fidonet: 2:301/526.1


     To register and get the EDITOR and the additional scenarios please send
     SFr 20 or something about the same value in your national currency in
     cash (no cheques please) to the address stated above or remit SFr 20 on my
     Swiss postal cheque account:
     50-98596-1.
     As I am just a "poor" student, every additional support will gratefully be
     accepted.




                                                   A. Felber

